%global prerelease 20170428

Name:           lv2-x42-plugins
Version:        0.3.0
Release:        0.1.%{prerelease}%{?dist}
Summary:        A number of LV2 plugins

# files in balance.lv2/pugl are ISC, the rest are GPLv2+
License:        GPLv2+ and ISC
URL:            https://github.com/x42/x42-plugins
# A tarball is now provided at http://gareus.org/misc/x42-plugins.php
Source0:        http://gareus.org/misc/x42-plugins/x42-plugins-%{prerelease}.tar.xz
Source1:        README.md
BuildRequires:  gcc-c++
BuildRequires:  lv2-devel >= 1.8.1
BuildRequires:  zita-convolver-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  libltc-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  fftw3-devel
BuildRequires:  gtk2-devel
BuildRequires:  pango-devel
BuildRequires:  cairo-devel
BuildRequires:  glib2-devel
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(ftgl)
BuildRequires:  ftgl-devel
BuildRequires:  gnu-free-sans-fonts
BuildRequires:  gnu-free-serif-fonts
BuildRequires:  gnu-free-mono-fonts
Requires:       lv2 >= 1.8.1
Requires:       gnu-free-sans-fonts
Requires:       gnu-free-serif-fonts
Requires:       gnu-free-mono-fonts

%description
A number of lv2 plugins including stereo balance, midi filter, delay,
convolver, fader, parametric equalizer, auto-tune.

%prep
%setup -q -n x42-plugins-%{prerelease}
cp -p %{SOURCE1} .

%build
flags=" -ffast-math -fno-finite-math-only"

%ifarch %{ix86}
flags+=" -msse -mfpmath=sse"
%endif

%ifarch x86_64
flags+=" -msse2 -mfpmath=sse"
%endif

export FONTFILE="/usr/share/fonts/gnu-free/FreeSansBold.ttf"
export STRIP=/bin/true
export OPTIMIZATIONS="%{optflags} ${flags}"
export CFLAGS="%{optflags}"
export LDFLAGS="%{__global_ldflags} -lpthread"
%make_build LIBDIR=%{_libdir} LV2DIR=%{_libdir}/lv2 PREFIX=%{_prefix}

%install
%{make_install} LIBDIR=%{_libdir} LV2DIR=%{_libdir}/lv2 PREFIX=%{_prefix}

%files
# all plugins share the same license
%license balance.lv2/COPYING
%doc plugin.versions plugin.list README.md
%{_libdir}/lv2/*.lv2
%{_bindir}/x42*
%{_mandir}/man1/x42*

%changelog
* Fri Jul 14 2017 Guido Aulisi <guido.aulisi@gmail.com> - 0.3.0-0.1.20170428
- Update to 20170428
- New plugins
- Use hardened LDFLAGS
- Remove deprecated Group tag
- Use license macro

* Thu Feb 16 2017 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.2.0-0.4.20150608git3e40bc9
- Added BR: libltc-devel jack-audio-connection-kit-devel
- Do not strip binaries

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-0.3.20150608git3e40bc9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-0.2.20150608git3e40bc9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jul 13 2015 Brendan Jones <brendan.jones.it@gmail.com> 0.2.0-0.1.20150608git3e40bc9
- Update to 20150608 

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-0.7.20131005git7db99d5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.1.1-0.6.20131005git7db99d5
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-0.5.20131005git7db99d5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-0.4.20131005git7db99d5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Oct 06 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.1.1-0.3.20131005git7db99d5
- Specify font and UI BR's

* Sat Oct 05 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.1.1-0.2.20131005git7db99d5
- New upstream commit, adds meters.lv2

* Sat Sep 14 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.1.1-0.1.20130615git7153e34
- Correct prelease release syntax
- Correct FSF address
- Use %%make_install macro

* Mon Sep 02 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.0.1-1
- Initial build

